
#define CBQM_MAXCLASS	64

struct class_info {
    u_int	handle;
    int		npackets;	/* packets sent in this class */
    int		nbytes;		/* bytes sent in this class */
    int		drops;		/* # times dropped packets */
    int		drop_bytes;	/* bytes dropped */
};

struct cbqm_info {
    u_long	cbqm_magic;
    u_long	cbqm_sec;
    u_long	cbqm_usec;
    long	cbqm_len;
    struct class_info cbqm_cinfo[CBQM_MAXCLASS];
};

#define CBQM_MAGIC	0x12345678
#define CBQM_CIGAM	0x78563412

#define CBQM_PORT	7289
