#!/bin/sh
# shell script to take log files
# this script can be invoked by cron
#
PATH=/bin:/usr/bin:/usr/local/bin

home=/src/kjc/cbq-tools/cbqmonitor
log=log
suffix=`date +%d.%H:%M`
file=$log.$suffix

#
cd $home
if [ -f monitor.log -a -f monitor.pid ]; then
	mv monitor.log $file
	kill -HUP `cat monitor.pid`
	sleep 10
	gzip $file
fi

exit 0
